Index: soft/giet_vm/sys/common.h
===================================================================
--- soft/giet_vm/sys/common.h	(revision 218)
+++ soft/giet_vm/sys/common.h	(revision 228)
@@ -30,54 +30,45 @@
 
 ///////////////////////////////////////////////////////////////////////////////////
-// 	Prototypes of common functions
+//     Prototypes of common functions
 ///////////////////////////////////////////////////////////////////////////////////
 
-void				_puts(char *string);
-void				_putx(unsigned int val);
-void				_putd(unsigned int val);
+void _puts(char *string);
+void _putx(unsigned int val);
+void _putd(unsigned int val);
 
-unsigned int		_strncmp( const char* s1, 
-                              const char* s2, 
-                              unsigned int n );
+unsigned int _strncmp(const char * s1, const char * s2, unsigned int n);
+void _dcache_buf_invalidate(const void * buffer, unsigned int size);
 
-void				_dcache_buf_invalidate( const void *buffer, 
-                                            unsigned int size );
+void _dtlb_off(void);
+void _dtlb_on(void);
 
-void				_dtlb_off(void);
-void				_dtlb_on(void);
+void _it_mask(void);
+void _it_restore(void);
 
-void				_it_mask(void);
-void				_it_enable(void);
+unsigned int _get_epc(void);
+unsigned int _get_ptpr(void);
+unsigned int _get_bvar(void);
+unsigned int _get_cr(void);
+unsigned int _get_sched(void);
 
-unsigned int		_get_epc(void);
-unsigned int		_get_ptpr(void);
-unsigned int		_get_bvar(void);
-unsigned int		_get_cr(void);
-unsigned int		_get_sched(void);
+unsigned int _get_context_slot(unsigned int task_id, unsigned int slot_id);
+void _set_context_slot(unsigned int task_id, unsigned int slot_id, unsigned int value);
 
-unsigned int		_get_context_slot( unsigned int task_id, 
-                                       unsigned int slot_id );
+unsigned int _get_interrupt_vector_entry(unsigned int index);
 
-void				_set_context_slot( unsigned int task_id, 
-                                       unsigned int slot_id, 
-                                       unsigned int value );
+unsigned int _get_current_task_id(void);
+void _set_current_task_id(unsigned int value);
 
-unsigned int		_get_interrupt_vector_entry(unsigned int index);
+unsigned int _get_tasks_number(void);
 
-unsigned int		_get_current_task_id( void );
-void				_set_current_task_id( unsigned int value );
+void _get_lock(unsigned int * lock);
+void _release_lock(unsigned int * lock);
 
-unsigned int		_get_tasks_number(void);
-
-
-void				_get_lock(unsigned int* lock);
-void				_release_lock(unsigned int* lock);
-
-mapping_cluster_t*  _get_cluster_base( mapping_header_t* header );
-mapping_pseg_t*     _get_pseg_base( mapping_header_t* header );
-mapping_vspace_t*   _get_vspace_base( mapping_header_t* header );
-mapping_vseg_t*     _get_vseg_base( mapping_header_t* header );
-mapping_vobj_t*     _get_vobj_base( mapping_header_t* header );
-mapping_task_t*     _get_task_base( mapping_header_t* header );
+mapping_cluster_t * _get_cluster_base(mapping_header_t* header);
+mapping_pseg_t * _get_pseg_base(mapping_header_t* header);
+mapping_vspace_t * _get_vspace_base(mapping_header_t* header);
+mapping_vseg_t * _get_vseg_base(mapping_header_t* header);
+mapping_vobj_t * _get_vobj_base(mapping_header_t* header);
+mapping_task_t * _get_task_base(mapping_header_t* header);
 
 
@@ -89,19 +80,19 @@
 // Code taken from MutekH.
 ///////////////////////////////////////////////////////////////////////////////////
-static inline void *memcpy(void *_dst, const void *_src, unsigned int size)
-{
-    unsigned int *dst = _dst;
-    const unsigned int *src = _src;
+static inline void * memcpy(void * _dst, const void * _src, unsigned int size) {
+    unsigned int * dst = _dst;
+    const unsigned int * src = _src;
 
     /* if source and destination buffer are word-aligned,
      * then copy word-by-word */
-    if (!((unsigned int)dst & 3) && !((unsigned int)src & 3))
+    if (!((unsigned int) dst & 3) && !((unsigned int) src & 3)) {
         while (size > 3) {
             *dst++ = *src++;
             size -= 4;
         }
+    }
 
-    unsigned char *cdst = (unsigned char*)dst;
-    unsigned char *csrc = (unsigned char*)src;
+    unsigned char * cdst = (unsigned char *) dst;
+    unsigned char * csrc = (unsigned char *) src;
 
     /* byte-by-byte copy */
@@ -113,2 +104,11 @@
 
 #endif
+
+// Local Variables:
+// tab-width: 4
+// c-basic-offset: 4
+// c-file-offsets:((innamespace . 0)(inline-open . 0))
+// indent-tabs-mode: nil
+// End:
+// vim: filetype=c:expandtab:shiftwidth=4:tabstop=4:softtabstop=4
+
